Bug 592271 - [abrt] crash in seamonkey-2.0.4-1.fc13: Process /usr/lib64/seamonkey-2.0.4/seamonkey-bin was killed by signal 6 (SIGABRT)
[abrt] crash in seamonkey-2.0.4-1.fc13: Process /usr/lib64/seamonkey-2.0.4/se...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: seamonkey (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:16004f86ccd3ed27620671026fc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 07:58 EDT by Karel Volný
Modified: 2011-06-23 17:25 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-23 17:25:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.93 KB, text/plain)
2010-05-14 07:58 EDT, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2010-05-14 07:58:18 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/seamonkey-2.0.4/seamonkey-bin
comment: I've just closed Seamonkey window ...
component: seamonkey
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib64/seamonkey-2.0.4/seamonkey-bin
global_uuid: 16004f86ccd3ed27620671026fc09743642912bd
kernel: 2.6.33.3-85.fc13.x86_64
package: seamonkey-2.0.4-1.fc13
rating: 4
reason: Process /usr/lib64/seamonkey-2.0.4/seamonkey-bin was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
Comment 1 Karel Volný 2010-05-14 07:58:21 EDT
Created attachment 414031 [details]
File: backtrace
Comment 2 Bill Davidsen 2010-05-25 20:05:55 EDT
Package: seamonkey-2.0.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Click QUIT on the Seamonkey main menu
2.
3.
Comment 3 Karel Volný 2010-05-27 06:17:53 EDT
Package: seamonkey-2.0.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I was browsing testresults in beaker
Comment 4 Timur Tabi 2010-06-02 14:43:02 EDT
Package: seamonkey-2.0.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
I wasn't doing anything.  I didn't even have the window open.  It just died all by itself.


Comment
-----
Can you guys fix this please?  Seamonkey dies about 3-4 times a day.  I've been using Seamonkey for years, and I've never had this problem before.
Comment 5 Timur Tabi 2010-06-02 14:46:50 EDT
This bug might be related to Bug 597413.
Comment 6 Timur Tabi 2010-06-02 16:54:32 EDT
Package: seamonkey-2.0.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I just closed a tab and was scrolling through another tab when Seamonkey just crashed.
Comment 7 Timur Tabi 2010-06-04 13:48:07 EDT
Package: seamonkey-2.0.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I was trying to view a new incoming message.  Seamonkey stalled for a couple seconds, and then crashed.
Comment 8 Chad Feller 2010-06-04 14:12:04 EDT
Package: seamonkey-2.0.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. close SeaMonkey after using multiple tabs
2.
3.


Comment
-----
this crash was created by the same steps that created bug# 587033, and will likely be reported as the same bug.
Comment 9 Bill Davidsen 2010-06-04 16:51:09 EDT
(In reply to comment #8)
> Package: seamonkey-2.0.4-1.fc13
> Architecture: x86_64
> OS Release: Fedora release 13 (Goddard)
> 
> 
> How to reproduce
> -----
> 1. close SeaMonkey after using multiple tabs
> 2.
> 3.
> 

In browser or mail? Both support tabs, go through very different code.
Comment 10 Timur Tabi 2010-06-04 17:07:58 EDT
The Fedora 13 x86_64 Seamonkey crashes several times a day for me, and I never use tabs in mail.
Comment 11 Brett 2010-06-04 19:45:58 EDT
Package: seamonkey-2.0.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
i just clicked
Comment 12 Chad Feller 2010-06-04 19:51:30 EDT
It is only tabs in the browser.  Look at my comments in bug# 587033.  Although different backtraces, the same circumstances caused both crashes (at least for me).
Comment 13 Chad Feller 2010-06-10 19:35:52 EDT
Package: seamonkey-2.0.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. close seamonkey with multiple tabs open
2.
3.


Comment
-----
I was closing seamonkey - 3 tabs were open.
Comment 14 Vedran Sego 2010-06-17 18:24:36 EDT
Package: seamonkey-2.0.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Click through web pages. Soon or later (probably sooner) it crashes.

Comment
-----
Regular surfing. Nothing special.
Comment 15 Vedran Sego 2010-06-19 10:27:30 EDT
I've downloaded the contributed x86_64 build from here:
http://www.seamonkey-project.org/releases/#contrib
and put it in /opt. Nothing else was updated or changed and so far it's been working for around 40 hours without crashes or restarts.

SeaMonkey from Fedora's RPM:
Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.9) Gecko/20100402 Fedora/2.0.4-1.fc13 SeaMonkey/2.0.4

SeaMonkey from the contributed build:
Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.9) Gecko/20100317 SeaMonkey/2.0.4

So, unless something really important happened between Gecko/20100402 and Gecko/20100317, I'd say that this is a RedHat building and/or packaging issue.

Anyway, this works for me, so other might want to try it as well, while we wait for the RPM fix.
Comment 16 Chad Feller 2010-06-19 10:49:39 EDT
(In reply to comment #15)
 
> So, unless something really important happened between Gecko/20100402 and
> Gecko/20100317, I'd say that this is a RedHat building and/or packaging issue.

Either that or libraries that it is built against.  SeaMonkey 2.0 is in Fedora 12 and I wasn't getting the crashes until I switched to Fedora 13.  Now I'm getting all kinds of SeaMonkey crashes.  By all kinds, I mean that there are a few different crash reports in bugzilla with the same symptoms.
Comment 17 Bug Zapper 2011-06-02 10:02:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Karel Volný 2011-06-23 17:25:13 EDT
seems this got fixed by some update, I do not experience the crashes any longer and there are no new comments ... closing this

Note You need to log in before you can comment on or make changes to this bug.